/* out_routines.h: Low-level routines for outputting OPL and OVP files.

This file is part of the Omega project, which
is based on the web2c distribution of TeX.

Copyright (C) 2000 John Plaice and Yannis Haralambous

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

extern string extensible_pieces[];
extern string ligature_commands[];

extern void out_character_measure(unsigned);
extern void out_extensible_piece(unsigned);
extern void out_ligature_command(unsigned);
extern void out_named_parameter(unsigned);
extern void out_named_math_parameter(unsigned);
extern void out_move_direction(unsigned);
extern void out_glue_order(unsigned);
extern void out_glue_kind(unsigned);
extern void out_ln(void);
extern void out_char(unsigned);
extern void out_int(unsigned,unsigned);
extern void out_fix(fix);
extern void out_digits(unsigned);
extern void out(string);
extern void right(void);
extern void left(void);
extern void print_xerox_face();
extern void out_rule_measure(unsigned);
extern void out_shrink_stretch(unsigned);
